Loading...
Searching...
No Matches
Halide::Runtime::Internal::Synchronization::bucket_pair Struct Reference

`#include <synchronization_common.h>`

## Public Member Functions

ALWAYS_INLINE | bucket_pair (hash_bucket &from, hash_bucket &to)

## Public Attributes

hash_bucket & | from
hash_bucket & | to

## Detailed Description

Definition at line 367 of file synchronization_common.h.

## Constructor & Destructor Documentation

## bucket_pair()

ALWAYS_INLINE Halide::Runtime::Internal::Synchronization::bucket_pair::bucket_pair | ( | hash_bucket & | from,
|  | hash_bucket & | to )

inline

Definition at line 371 of file synchronization_common.h.

References ALWAYS_INLINE, from, and to.

## Member Data Documentation

## from

hash_bucket& Halide::Runtime::Internal::Synchronization::bucket_pair::from

Definition at line 368 of file synchronization_common.h.

Referenced by bucket_pair(), Halide::Runtime::Internal::Synchronization::unlock_bucket_pair(), and Halide::Runtime::Internal::Synchronization::parking_control::unpark_requeue().

## to

hash_bucket& Halide::Runtime::Internal::Synchronization::bucket_pair::to

Definition at line 369 of file synchronization_common.h.

Referenced by bucket_pair(), Halide::Runtime::Internal::Synchronization::unlock_bucket_pair(), and Halide::Runtime::Internal::Synchronization::parking_control::unpark_requeue().

The documentation for this struct was generated from the following file:

- src/runtime/synchronization_common.h